import { Feature } from '@common-stack/server-core';
import { preferences } from './preferences';
import {JavascriptService} from './service';

const javascriptService = new JavascriptService();

export default new Feature({
  createPreference: preferences,
  createContextFunc: () => ({ javascript: javascriptService, typescript: javascriptService }),
} as any);
